SuSE 11.3 Security Update : rsyslog (SAT Patch Number 9840)

High Nessus Plugin ID 78464


The remote SuSE 11 host is missing one or more security updates.


rsyslog has been updated to fix a remote denial of service issue :

- Under certain configurations, a local or remote attacker able to send syslog messages to the server could have crashed the log server due to an array overread.
(CVE-2014-3634 / CVE-2014-3683)


Apply SAT patch number 9840.

See Also

Plugin Details

Severity: High

ID: 78464

File Name: suse_11_rsyslog-141006.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/10/15

Modified: 2014/11/04

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:rsyslog, p-cpe:/a:novell:suse_linux:11:rsyslog-diag-tools, p-cpe:/a:novell:suse_linux:11:rsyslog-doc, p-cpe:/a:novell:suse_linux:11:rsyslog-module-gssapi, p-cpe:/a:novell:suse_linux:11:rsyslog-module-gtls, p-cpe:/a:novell:suse_linux:11:rsyslog-module-mysql, p-cpe:/a:novell:suse_linux:11:rsyslog-module-pgsql, p-cpe:/a:novell:suse_linux:11:rsyslog-module-relp, p-cpe:/a:novell:suse_linux:11:rsyslog-module-snmp, p-cpe:/a:novell:suse_linux:11:rsyslog-module-udpspoof, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/10/06

Reference Information

CVE: CVE-2014-3634, CVE-2014-3683